Subject: DLSw MIB Question

From: "jim (j.) cobban" <[email-masked]>
Date: Tue, 12 Sep 1995 12:17:00 -0400

I have come across a piece of the DLSw MIB which I do not understand.

<-------------beginning of selection from MIB

   dlswResourceNBTable  OBJECT-TYPE
       SYNTAX     SEQUENCE OF DlswResourceNBEntry
       MAX-ACCESS not-accessible
       STATUS     current
       DESCRIPTION
          "The list of NETBIOS NAME's which are accessible via
           this DLSw."
       ::= { dlswResource ? }

   dlswResourceNBEntry  OBJECT-TYPE
       SYNTAX     DlswResourceNBEntry
       MAX-ACCESS not-accessible
       STATUS     current
       DESCRIPTION
          ""
       INDEX   { dlswResourceNBName }
       ::= { dlswResourceNBTable 1 }
   --@@ It is better to use the NBName as index or else there
   --@@ are potential duplicate entries.

   DlswResourceNBEntry ::= SEQUENCE {
       dlswResourceNBName           NBName,
       dlswResourceNBApplied        TrueValue,
       dlswResourceNBRowStatus      RowStatus
       }

   dlswResourceNBName  OBJECT-TYPE
       SYNTAX     NBName
       MAX-ACCESS not-accessible
       STATUS     current
       DESCRIPTION
          "The NETBIOS NAME.  The information is presented
           in non-canonical form.  It can consist of 'don't care',
           'wild card' characters to match on a number of NETBIOS
           names.  If an individual character position in the
           NETBIOS name contains a '?', then the corresponding
           character position in real NETBIOS name is a 'don't
           care'.  If a name ends in '*', then remainder of the
           real NETBIOS names is a 'don't care'."
       ::= { dlswResourceNBEntry 1 }

   dlswResourceNBApplied  OBJECT-TYPE
       SYNTAX     TrueValue
       MAX-ACCESS read-only
       STATUS     current
       DESCRIPTION
          "This object indicates whether the entry is used in
           capabilities exchange messages or not.  In general,
           the changes of this entry are not applied until the
           dlswResouceApplyTimer has expired."
       ::= { dlswResourceNBEntry ? }

   dlswResourceNBRowStatus  OBJECT-TYPE
       SYNTAX     RowStatus
       MAX-ACCESS read-create
       STATUS     current
       DESCRIPTION
          "This object is used by a Management Station to create
           or delete the row entry in the dlswResourceNBTable
           following the RowStatus textual convention."
       ::= { dlswResourceNBEntry ? }

<----------end of selection from MIB

dlswResourceNBApplied (and dlswResourceMacApplied) are apparently defined
as being unconditionally True and read-only to boot.  However the description
seems to indicate that they can be modified.  Is this a typo or have I
misunderstood the MIB?

Could someone also describe the "RowStatus textual convention" or point me to
its description?  I do not understand how an object which I cannot write to
can be used for deleting the table row.